# is-kpp-js
Модуль проверки валидности кода КПП (код причины постановки на учет).

### Установка:
```sh
$ npm install is-kpp-js --save
```

### Пример использования
#### NodeJS
```js
const isKpp = require('is-kpp-js');
let isKppResult = isKpp("420502001");
console.log( isKppResult ) // print: true
```
#### Browser
```html
<script src="/node_modules/is-kpp-js/isKpp.js"></script>
<script>
    var isKppResult = isKpp("420502001");
    console.log( isKppResult ) // print: true
</script>
```
#### Справка
( Оригинал текста: [Википедия: Идентификационный_номер_налогоплательщика](https://ru.wikipedia.org/wiki/Идентификационный_номер_налогоплательщика#.D0.9A.D0.BE.D0.B4_.D0.BF.D1.80.D0.B8.D1.87.D0.B8.D0.BD.D1.8B_.D0.BF.D0.BE.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B8_.D0.BD.D0.B0_.D1.83.D1.87.D0.B5.D1.82_.28.D0.9A.D0.9F.D0.9F.29) )

Структура КПП представляет собой девятизначный код: **NNNNPPXXX**.

КПП состоит из следующей последовательности символов слева направо:

NNNN (4 знака) — код налогового органа, который осуществил постановку на учет организации по месту её нахождения, месту нахождения обособленного подразделения организации, расположенного на территории Российской Федерации, месту нахождения принадлежащих ей недвижимого имущества и транспортных средств, а также по иным основаниям, предусмотренным Налоговым кодексом Российской Федерации, или осуществил учет сведений в отношении организации в случаях, предусмотренных Порядком постановки на учет, снятия с учета в налоговых органах российских организаций по месту нахождения их обособленных подразделений, принадлежащих им недвижимого имущества и (или) транспортных средств, физических лиц — граждан Российской Федерации, а также индивидуальных предпринимателей, применяющих упрощенную систему налогообложения на основе патента.

PP (2 знака) — причина постановки на учет (учёта сведений). Символ P представляет собой цифру или заглавную букву латинского алфавита от A до Z.

Числовое значение символов PP может принимать значение в соответствии с ведомственным (ФНС) «Справочником причин постановки на учёт налогоплательщиков-организаций в налоговых органах (СППУНО)»:
- для российской организации от 01 до 50 (01 — по месту её нахождения);
- для иностранной организации от 51 до 99;

В частности могут применяться следующие значения:
- «43» — постановка на учет российской организации по месту нахождения её филиала;
- «44» — постановка на учет российской организации по месту нахождения её представительства;
- «45» — постановка на учет российской организации по месту нахождения её обособленного подразделения.

XXX (3 знака) — порядковый номер постановки на учет (учета сведений) в налоговом органе по соответствующему основанию.
